Functions
Functions
BLE Services » Heart Rate Service Client (HRS_C)
Collaboration diagram for Functions:

## Functions
sdk_err_t | hrs_client_init (hrs_c_evt_handler_t evt_handler)
| Register HRS Client event handler. More...
sdk_err_t | hrs_c_disc_srvc_start (uint8_t conn_idx)
| Discovery Heart Rate Service on peer. More...
sdk_err_t | hrs_c_heart_rate_meas_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer Heart Rate Measurement characteristic notify. More...
sdk_err_t | hrs_c_sensor_loc_read (uint8_t conn_idx)
| Read Sensor Location characteristic value. More...
sdk_err_t | hrs_c_ctrl_point_set (uint8_t conn_idx, uint16_t ctrl_value)
| Set Control Point characteristic value. More...

## Detailed Description

## Function Documentation

## ◆ hrs_c_ctrl_point_set()

sdk_err_t hrs_c_ctrl_point_set | ( | uint8_t | conn_idx,
|  | uint16_t | ctrl_value
| ) |  |

Set Control Point characteristic value.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | ctrl_value | Value of control point.

Returns
  Operation result.

## ◆ hrs_c_disc_srvc_start()

sdk_err_t hrs_c_disc_srvc_start | ( | uint8_t | conn_idx | ) |

Discovery Heart Rate Service on peer.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ hrs_c_heart_rate_meas_notify_set()

sdk_err_t hrs_c_heart_rate_meas_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer Heart Rate Measurement characteristic notify.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | is_enable | True or false.

Returns
  Operation result.

## ◆ hrs_c_sensor_loc_read()

sdk_err_t hrs_c_sensor_loc_read | ( | uint8_t | conn_idx | ) |

Read Sensor Location characteristic value.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ hrs_client_init()

sdk_err_t hrs_client_init | ( | hrs_c_evt_handler_t | evt_handler | ) |

Register HRS Client event handler.

Parameters

  [in] | evt_handler | Heart Rate Service Client event handler.

Returns
  Result of initialization.